//
//  ContentView.swift
//  LNPopupNetworkExample
//
//  Created by Vamsi Madduluri on 20/12/23.
//

import SwiftUI
import LNPopupUI

struct ContentView: View {
    @EnvironmentObject var audioPlaybackViewModel: MusicPlayerViewModel
    var body: some View {
        TabView {
            MediaSermons()
                .tabItem {
                    Image(systemName: "house")
                    Text("Home")
                }
            Text("Support")
                .tabItem {
                    Image(systemName: "questionmark.circle")
                    Text("Support")
                }
        }.popup(isBarPresented: $audioPlaybackViewModel.isPopupBarPresented, isPopupOpen: $audioPlaybackViewModel.isPopupOpen, onOpen: {
            // Handle popup opening logic
            //audioPlaybackViewModel.pause()
        }, onClose: {
            // Handle popup closing logic
            //audioPlaybackViewModel.pause()
        }) {
            MusicPlayerView(viewModel: audioPlaybackViewModel)
        }
        .popupCloseButtonStyle(.default)
        .popupInteractionStyle(.drag)
        .popupBarStyle(.prominent)
        .popupBarContextMenu(menuItems: {
            Button(action: {
                if audioPlaybackViewModel.isPlaying {
                    audioPlaybackViewModel.togglePlayPause()
                }
                audioPlaybackViewModel.isPopupBarPresented = false
            }, label: {
                Label("Close Player", systemImage: "xmark")
            })
        })
    }
}
#Preview {
    ContentView()
}
